# make rpm with: root rpm -bb gdcalc.spec
Summary: gdcalc - a GTK+-based Reverse Polish Notation - HP-style) calculator.
Name: gdcalc
Version: 2.7.0
Release: 1
Copyright: GPL
Group: Applications/Productivity
Source: http://www.bit.net.au:~bhepple/dcalc/gdcalc-2.6-1.tgz
requires: units
%description
gdcalc is a gtk+-based Reverse Polish Notation (RPN) calculator for
Unix and Linux with stats, financial and maths functions. It is based
on my venerable dcalc RPN calculator which I wrote about a million
years ago to learn C and curses - about 1983, I suppose. 

I've rewritten it to interface to a Glade-generated GUI for the X
Window System.

I have also included some nice conversions based on units(1) including
length (miles, km, mm etc), area, (hectares, acres, sq ft etc), volume
(litres, US & UK gallons etc) mass, pressure, fuel consumption (mpg,
litres/100km), temperature, currency ... and anything else that
units(1) can cope with. Metric, US and British units are supported -
e.g. a US gallon is a measly 3.78 litres as opposed to the much more
generous British gallon at 4.54 litres.

It is fully programmable (you've got the source, ninny) and I've left
loads of blank keys on the GUI for you to add in your favourites. If
you add functions that you think would be interesting for the world at
large, please let me have the diffs and I'll put them in.

The original dcalc for curses (Unix console) is at
http://www.bit.net.au/~bhepple/dcalcCurses.html

There is another version of this for the Psion at:
http://www.bit.net.au:~bhepple/dcalc/psion

This is about as much of a manual that I feel like writing - if you
want to know more about RPN calculators (and why they are more
intuitive than algebraic calculators with their stupid = sign) take a
look at http://www.hpcalc.org

Have fun with it! Bob Hepple: mailto:bhepple@bit.net.au

%files
/usr/local/bin/gdcalc
/usr/share/icons/HP-16C-48.xpm
/usr/share/icons/mini-HP-16C-48.xpm
%doc ~bhepple/fun/dcalc/gtk/README ~bhepple/fun/dcalc/gtk/COPYING ~bhepple/fun/psion-dcalc/manual.html
