#include <stdio.h>
#include <ctype.h>
#include <bvideo.h>

#define FALSE 0
#define TRUE 1

int get_value(int x1save, int *x1, int *y1, int x2, int y2, double *value)

/* Scan from x1 to x2 on line y1. If x2 reached then go to next line. */
{
  char buf[81], *s;
  extern char far *viptr();
  int dot_legal=1, exp_legal=1, sign_legal=1, comma_legal=1, number_found=0;

  s = buf;

  /* skip until we hit a number */
  while ((*y1 <= y2) &&
	 (!isdigit(*s = *viptr(*y1, *x1)) ) &&
	 (*s != '-') &&
	 (*s != '.'))
    {
    (*x1)++;
    if (*x1 > x2)
      {
      *x1 = x1save;
      (*y1)++;
      }
    }

  while ((*y1 <= y2) &&
	 (*x1 <= x2) /* end of line terminates the number */ &&
	 (
	  (isdigit(*s = *viptr(*y1, *x1)))	||
	  ((*s == ',') && comma_legal)		||
	  ((*s == '.') && dot_legal)		||
	  ((toupper(*s) == 'E') && exp_legal)	||
	  ((*s == '-') && sign_legal)
	 )
	)
    {
    if (*s == '.')
      {
      dot_legal = FALSE;
      sign_legal = FALSE;
      comma_legal = FALSE;
      }
    if (isdigit(*s))
      {
      dot_legal = FALSE;
      sign_legal = FALSE;
      }
    if (*s == '-')
      sign_legal = FALSE;
    if (toupper(*s) == 'E')
      {
      exp_legal = FALSE;
      sign_legal = TRUE;
      dot_legal = FALSE;
      comma_legal = FALSE;
      }

    if (*s != ',')
      {
      s++;
      number_found = 1;
      }

    (*x1)++;
    }

  if (*x1 > x2)
    {
    *x1 = x1save;
    (*y1)++;
    }
  *s = 0;
  if (number_found)
    *value = atof(buf);
  else
    *value = 0.0;
  return(number_found);
}

void capture(void)

{
  int		x1save, x1, x2, y1, y2, i, op;
  double	tempf, xf;
  long		temp;

  extern	int old_row, old_col, lift_needed;

  initialise();

  x1 = old_col;
  y1 = old_row;
  op = get_region(&x1, &y1, &x2, &y2);

  if ((op == 2) || (op == '\033'))
    return;

  if (x2 < x1) { i = x1; x1 = x2; x2 = i; }
  if (y2 < y1) { i = y1; y1 = y2; y2 = i; }

  x1save = x1;

  if (get_value(x1save, &x1, &y1, x2, y2, &tempf))
    while (get_value(x1save, &x1, &y1, x2, y2, &xf))
      switch (op)
        {
        case 1:
        case 13:
        case '+':
          tempf += xf;
          break;
        case '-':
          tempf -= xf;
          break;
        case '*':
          tempf *= xf;
          break;
        case '/':
	  if (xf != 0.0)
	    tempf /= xf;
          break;
        }
  temp = round(tempf);
  push(temp, tempf);
}
